aboutsummaryrefslogtreecommitdiff
path: root/t/t5405-send-pack-rewind.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2007-11-24 16:45:37 -0800
committerJunio C Hamano <gitster@pobox.com>2007-11-24 16:45:37 -0800
commitfd200790dc518f297bfd538a53e232802904f1de (patch)
tree09347c007dd813b86fe3ff58d897997b7e8aac49 /t/t5405-send-pack-rewind.sh
parent6c6ea3800d1eace51994d90fbeb19ffe918e63b0 (diff)
parent07f507155d01af0fdc8aa179b6a779301168b1eb (diff)
downloadgit-fd200790dc518f297bfd538a53e232802904f1de.tar.gz
git-fd200790dc518f297bfd538a53e232802904f1de.tar.xz
Merge branch 'jk/send-pack'
* jk/send-pack: (24 commits) send-pack: cluster ref status reporting send-pack: fix "everything up-to-date" message send-pack: tighten remote error reporting make "find_ref_by_name" a public function Fix warning about bitfield in struct ref send-pack: assign remote errors to each ref send-pack: check ref->status before updating tracking refs send-pack: track errors for each ref git-push: add documentation for the newly added --mirror mode Add tests for git push'es mirror mode Update the tracking references only if they were succesfully updated on remote Add a test checking if send-pack updated local tracking branches correctly git-push: plumb in --mirror mode Teach send-pack a mirror mode send-pack: segfault fix on forced push Reteach builtin-ls-remote to understand remotes send-pack: require --verbose to show update of tracking refs receive-pack: don't mention successful updates more terse push output Build in ls-remote ...
Diffstat (limited to 't/t5405-send-pack-rewind.sh')
-rwxr-xr-xt/t5405-send-pack-rewind.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/t/t5405-send-pack-rewind.sh b/t/t5405-send-pack-rewind.sh
new file mode 100755
index 000000000..86abc6227
--- /dev/null
+++ b/t/t5405-send-pack-rewind.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+test_description='forced push to replace commit we do not have'
+
+. ./test-lib.sh
+
+test_expect_success setup '
+
+ >file1 && git add file1 && test_tick &&
+ git commit -m Initial &&
+
+ mkdir another && (
+ cd another &&
+ git init &&
+ git fetch .. master:master
+ ) &&
+
+ >file2 && git add file2 && test_tick &&
+ git commit -m Second
+
+'
+
+test_expect_success 'non forced push should die not segfault' '
+
+ (
+ cd another &&
+ git push .. master:master
+ test $? = 1
+ )
+
+'
+
+test_expect_success 'forced push should succeed' '
+
+ (
+ cd another &&
+ git push .. +master:master
+ )
+
+'
+
+test_done